vala-gen-introspect(1)

NAME
vala-gen-introspect - generate a GI file for GObject and glib based packages

SYNOPSIS
vala-gen-introspect PKGNAME PKGBASE

DESCRIPTION
vala-gen-introspect is a utility which generates GI files from GObject and glib based packages. It can be used in combination with vapigen(1) to generate an API for Vala, and allow it's usage in Vala for compiling to native code. PKGNAME is the pkg-config name of the library and PKGBASE specifies the base directory for that package.

EXAMPLES

After compilation, the following command generates a GI for pango:
    vala-gen-introspect pango packages/pango

OPTIONS

This command currently takes no command line options.

SEE ALSO
vapigen(1)

AUTHOR
vala-gen-introspect for Vala was written by Juerg Billeter <j@bitron.ch> and Raffaele Sandrini <rasa@gmx.ch>.

This manual page was written by Kumar Appaiah <akumar@ee.iitm.ac.in>, for the Debian project (but may be used by others).